import re
IS_NUMERIC = "^[-+]?\\d+(\\.\\d+)?$"

inp = input("Enter number of Kilowatt-hours consumed: ")

if not re.match(IS_NUMERIC, inp):
    print("Entered value contains non-numeric characters")
else:
    kwh = int(inp)
    if kwh < 0:
        print("Entered value is negative")
    else:
        if kwh <= 500:
            t = kwh * 0.10
        elif kwh <= 2000:
            t = 0.25 * kwh - 75
        elif kwh <= 4000:
            t = 0.4 * kwh - 375
        else:
            t = 0.6 * kwh - 1175

        t = 1.10 * t        #This is equivalent to t = t + t * 10 / 100
                            #but more efficient

        print("Total amount to pay (taxes included):", t)
