EVENTS = 20
COUNTRIES = 10

country_names = [None] * COUNTRIES
event_descriptions = [ [None] * COUNTRIES for i in range(EVENTS) ]
event_years = [ [None] * COUNTRIES for i in range(EVENTS) ]

for j in range(COUNTRIES):
    country_names[j] = input("Enter Country No." + str(j + 1) + ": ")
    for i in range(EVENTS):
        event_descriptions[i][j] = input("Enter description for event No." + \
                                          str(i + 1) + ": ")
        event_years[i][j] = int(input("Enter year for event No." +           \
                                       str(i + 1) + ": "))

needle = int(input("Enter a year to search: "))
row_index = -1

for j in range(COUNTRIES):
    top = 0
    bottom = EVENTS - 1
    found = False
    while top <= bottom and found == False:
        middle = (top + bottom) // 2

        if event_years[middle][j] > needle:
            bottom = middle - 1
        elif event_years[middle][j] < needle:
            top = middle + 1
        else:
            found = True
            row_index = middle

    if found == False:
        print("No event found for country", country_names[j])
    else:
        print("Country:", country_names[j])
        print("Year:", event_years[row_index][j])
        print("Event:", event_descriptions[row_index][j])
