import re
IS_NUMERIC = "^[-+]?\\d+(\\.\\d+)?$"

inp = input("Enter total amount: ")

if not re.match(IS_NUMERIC, inp):
    print("Entered value contains non-numeric characters")
else:
    amount = float(inp)
    if amount < 0:
        print("Entered value is negative")
    else:
        if amount < 30:
            discount = 0
        elif amount < 70:
            discount = 5
        elif amount < 150:
            discount = 10
        else:
            discount = 20
        payment = amount - amount * discount / 100

        print("You got a discount of ", discount, "%", sep = "")
        print("You must pay $", payment, sep = "")
