import re
import random
IS_NUMERIC = "^[-+]?\\d+(\\.\\d+)?$"
ACCURACY = 0.0000000000001

inp = input("Enter a non-negative number: ")
while not re.match(IS_NUMERIC, inp) or float(inp) < 0:
    inp = input("Invalid value. Enter a non-negative number: ")
    
y = float(inp)
    
guess = random.randrange(1, y + 1)      #Make a random first guess
                                        #between 1 and given value

while abs(guess * guess - y) > ACCURACY:     #is it "close enough"?
    guess = (guess + y / guess) / 2          #No, create a new "guess"!
print(guess)
